diff --git a/doc/src/sgml/high-availability.sgml b/doc/src/sgml/high-availability.sgml
index 37aa047..fe161b6 100644
--- a/doc/src/sgml/high-availability.sgml
+++ b/doc/src/sgml/high-availability.sgml
@@ -1259,6 +1259,18 @@ primary_slot_name = 'node_a_slot'
      When a server is not in recovery mode, there is no difference between
      <literal>on</literal> and <literal>always</literal> modes.
    </para>
+
+   <para>
+    When standby is promoted and <varname>archive_mode</varname> is set to
+    <literal>on</> or <literal>always</literal>, it will archive the last,
+    partial and incomplete segment from the previous timeline with suffix
+    <filename>.partial</filename>. There is no automatic mechanism to detect
+    and use <filename>.partial</filename> files at recovery so they will go
+    unused except if they are renamed and placed in
+    <filename>pg_xlog</filename>. This segment would not be needed when
+    recovering on the new timeline as the first segment of the new timeline
+    would be used instead, still it may be useful for debugging purposes.
+   </para>
   </sect2>
   </sect1>
 
